#include <asf.h>
#include <stdio.h>


static volatile bool my_flag_autorize_cdc_transfert = false;
bool my_callback_cdc_enable(void)
{
	my_flag_autorize_cdc_transfert = true;
	PORTE.OUTSET = PIN3_bm;
	return true;
}
void my_callback_cdc_disable(void)
{
	my_flag_autorize_cdc_transfert = false;
	PORTE.OUTCLR = PIN3_bm;
}



int main (void)
{
	sysclk_init();
	board_init();
	
	irq_initialize_vectors();
	cpu_irq_enable();

	PORTE.DIR = PIN3_bm;
	PORTE.OUTCLR = PIN3_bm;

	
	udc_start();
	rtc_init();
	
	
	volatile char c;
	char buf[100];
	
	
	
	sysclk_enable_peripheral_clock(&TCC0);
	TCC0.CTRLA = TC_CLKSEL_DIV1_gc;
	
		
	
	while(1){
		//delay_ms(1400);
		
		if (my_flag_autorize_cdc_transfert) {
			//udi_cdc_read_buf (buf, 10);
			
			udi_cdc_getc();
			//rtc_set_time (0);
			TCC0.CNT = 0;
			//udi_cdc_read_buf (buf, 1000);
			for (uint16_t i = 0; i < 5; i++){
				udi_cdc_read_buf (buf, 100);
			}

			
			//udi_cdc_read_buf (buf, 200);
			
			
			//uint32_t time = rtc_get_time();
			
			uint32_t time = (uint32_t)TCC0.CNT;
			 
			udi_cdc_write_buf(buf, sprintf(buf, "%lu ", time));			
	
		}

	}
}
